<xsl:stylesheet  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/REC-html40" version="1.0">
<!--
PRISMIQ MediaPlayer Remote Control JSP Example Stylesheet, Copyright 2003 PRISMIQ, Inc.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Simple Stylesheet to transform media.xml into a web page that can play songs on the PRISMIQ MediaPlayer.
See the accompanying readme and remotecontrol.jsp for more information.
Version 1.0 6/19/2003 kkopp
 -->
<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
  <html>
	<head>
	<title>PRISMIQ MediaPlayer Remote Control</title>
	<META HTTP-EQUIV="Pragma" CONTENT="no-cache"/>
	<META HTTP-EQUIV="Expires" CONTENT="-1"/>
	</head>
	<body link="#008000" vlink="#008000" bgcolor="#DDDDDD">
	<div align="left">
    	Song List:
    	<ol>
    		<xsl:apply-templates/>
    	</ol>
	</div>
  	</body>
  </html>
</xsl:template>

<xsl:template match="audio">
	<li><font size="4">
          <xsl:element name="a">
            <xsl:attribute name="href">/mserver/remotecontrol.jsp?song=<xsl:value-of select="id"/>&amp;title=<xsl:value-of select="title"/></xsl:attribute>
           <xsl:value-of select="artist"/>: <xsl:value-of select="title"/>
          </xsl:element>
	</font></li>
</xsl:template>


    <xsl:template match="image|video">
        <!-- don't do anything with these guys. In theory, supporting video would be easy, as that's just
        making sure that the device is opened correctly & dealing with errors. That can be an exercise for
        the reader. Man I hate it when people say that....
        -->
    </xsl:template>
</xsl:stylesheet>